import os
import gtk
import gnome.ui

from Icon import Icon

class NewFolderConfig:
	_button_bar = 0

	def _on_click_ok(self, arg):
		new_folder_name = self.ent1.get_text()
		new_folder_filename = new_folder_name.lower() + ".folder"
		fd = open(os.path.join(self._button_bar._circle_home, new_folder_filename), "w")
		fd.close()
		self._button_bar._add_new_folder(Icon(new_folder_filename,
											self.pix1.get_full_path(False),
											new_folder_name))
		self._button_bar._notify_folder_change()
		self.win.destroy()

	def _on_click_cancel(self, arg):
		self.win.destroy()

	def __init__(self, bbar):
		self._button_bar = bbar
		self.win = gtk.Window(gtk.WINDOW_TOPLEVEL)

		lbl1 = gtk.Label("Folder Name: ")
		lbl1.show()
		alg1 = gtk.Alignment()
		alg1.add(lbl1)
		alg1.show()
		self.ent1 = gtk.Entry()
		self.ent1.show()
		but1 = gtk.Button("Ok")
		but1.connect("clicked", self._on_click_ok);
		but1.show()
		but2 = gtk.Button("Cancel")
		but2.connect("clicked", self._on_click_cancel);
		but2.show()

		vbx1 = gtk.VBox()
		vbx1.add(alg1)
		vbx1.show()
		vbx2 = gtk.VBox()
		vbx2.add(self.ent1)
		vbx2.show()
		hbx1 = gtk.HBox()
		hbx1.add(vbx1)
		hbx1.add(vbx2)
		hbx1.show()
		hbx2 = gtk.HBox()
		hbx2.add(but1)
		hbx2.add(but2)
		hbx2.show()
		self.pix1 = gnome.ui.PixmapEntry("", "Choose button icon...", 1)
		self.pix1.set_filename("/usr/share/pixmaps/gnome-folder.png")
		self.pix1.show()
		vbx3 = gtk.VBox()
		vbx3.add(hbx1)
		vbx3.add(self.pix1)
		vbx3.add(hbx2)
		vbx3.show()

		self.win.add(vbx3)
		self.win.show()
