from sensor.Sensor import Sensor
from utils.datatypes import *
from utils import i18n

import os
import commands

class LTVCommand(Sensor):

	def __init__(self,cmd):
		global _; _ = i18n.Translator("ltv-command-sensor")
		Sensor.__init__(self)
		self._set_config_type("command", TYPE_STRING, cmd)
		
	def get_configurator(self):
		
		configurator = self._new_configurator()
		configurator.set_name(_("Command"))
		configurator.add_title(_("Double-click Command"))
		configurator.add_entry(_("Command to Execute"), "command", _("This command will execute when you double-click on the icon."))
		return configurator

	def call_action(self, action, path, args = []):
		print action
		if (action == "launch"):
			os.system("cd ~ && " + self._get_config("command") + " & disown")


def new_sensor(args): return apply(LTVCommand, args)
